package epson.print.screen;

import android.content.Context;
import android.os.RemoteException;

import com.epson.iprint.prtlogger.PrintLog;

import epson.print.service.IEpsonService;

public class LocalDocumentParams implements PrintProgress.ProgressParams {
    private int mEndPage;
    private boolean mIsPaperLandscape;
    private String mOriginalFilename;
    private String mPassword;
    private String mPdfFilename;
    private PrintLog mPrintLog;
    private int mStartPage;

    public boolean getApfMode() {
        return false;
    }

    public boolean getEpsonColorMode() {
        return false;
    }

    public LocalDocumentParams(String str, String str2, String str3, boolean z, int i, int i2, PrintLog printLog) {
        mPdfFilename = str;
        mOriginalFilename = str2;
        mPassword = str3;
        mIsPaperLandscape = z;
        mStartPage = i;
        mEndPage = i2;
        mPrintLog = printLog;
    }

    public int getOriginalSheetSize() {
        return (this.mEndPage - mStartPage) + 1;
    }

    public PrintSetting getPrintSetting(Context context) {
        return new PrintSetting(context, PrintSetting.Kind.document);
    }

    public boolean isPaperLandscape() {
        return mIsPaperLandscape;
    }

    public boolean print(IEpsonService iEpsonService, boolean z) throws RemoteException {
        iEpsonService.printLocalPdf(this.mPdfFilename, mOriginalFilename, mPassword, mIsPaperLandscape, mStartPage, mEndPage, z);
        return true;
    }

    public PrintLog getPrintLog() {
        return mPrintLog;
    }

    public PrintSetting.Kind getPrintSettingType() {
        return PrintSetting.Kind.document;
    }
}
